> ## Documentation Index
> Fetch the complete documentation index at: https://docs.aion.xyz/llms.txt
> Use this file to discover all available pages before exploring further.

# List Kubernetes clusters



## OpenAPI

````yaml GET /api/v1/accounts/{accountId}/projects/{projectId}/kubernetes
openapi: 3.0.3
info:
  title: KubernetesService API
  version: 1.0.0
servers: []
security: []
paths:
  /api/v1/accounts/{accountId}/projects/{projectId}/kubernetes:
    get:
      tags:
        - Kubernetes
      summary: List Kubernetes clusters
      parameters:
        - in: path
          name: accountId
          required: true
          schema:
            type: string
        - in: path
          name: projectId
          required: true
          schema:
            type: string
        - in: header
          name: x-user-id
          required: false
          schema:
            type: string
        - in: header
          name: x-kong-request-id
          required: false
          schema:
            type: string
        - in: query
          name: limit
          required: false
          schema:
            type: integer
            format: int64
        - in: query
          name: offset
          required: false
          schema:
            type: integer
            format: int64
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ListClustersResponse'
        '400':
          description: Bad Request
        '401':
          description: Unauthorized
        '500':
          description: Internal Server Error
components:
  schemas:
    ListClustersResponse:
      type: object
      properties:
        clusters:
          type: array
          items:
            $ref: '#/components/schemas/ClusterSummary'
        total_count:
          type: integer
          format: int64
        count:
          type: integer
          format: int64
      required:
        - clusters
        - total_count
        - count
    ClusterSummary:
      type: object
      properties:
        base:
          $ref: '#/components/schemas/ClusterBase'
        node_count:
          type: integer
          format: int64
        installed_apps:
          type: array
          items:
            $ref: '#/components/schemas/InstalledAppSummary'
      required:
        - base
    ClusterBase:
      type: object
      properties:
        cluster_id:
          type: string
        name:
          type: string
        status:
          $ref: '#/components/schemas/ClusterStatus'
        account_id:
          type: string
        project_id:
          type: string
        cluster_endpoint:
          type: string
        created_at:
          type: string
          format: date-time
        updated_at:
          type: string
          format: date-time
      required:
        - cluster_id
        - name
        - status
        - account_id
        - project_id
        - created_at
        - updated_at
    InstalledAppSummary:
      type: object
      properties:
        base:
          $ref: '#/components/schemas/InstalledAppBase'
        status:
          $ref: '#/components/schemas/InstalledAppStatus'
      required:
        - base
        - status
    ClusterStatus:
      type: string
      enum:
        - CLUSTER_STATUS_UNSPECIFIED
        - CLUSTER_STATUS_INITIALIZING
        - CLUSTER_STATUS_ACTIVE
        - CLUSTER_STATUS_DELETING
        - CLUSTER_STATUS_DELETED
        - CLUSTER_STATUS_ERROR
    InstalledAppBase:
      type: object
      properties:
        app_id:
          type: string
        cluster_id:
          type: string
        marketplace_app:
          $ref: '#/components/schemas/MarketplaceAppBase'
      required:
        - app_id
        - cluster_id
    InstalledAppStatus:
      type: string
      enum:
        - INSTALLED_APP_STATUS_UNSPECIFIED
        - INSTALLED_APP_STATUS_SUCCESS
        - INSTALLED_APP_STATUS_FAILURE
        - INSTALLED_APP_STATUS_STALLED
        - INSTALLED_APP_STATUS_DEPRECATED
        - INSTALLED_APP_STATUS_DELETING
        - INSTALLED_APP_STATUS_DELETED
    MarketplaceAppBase:
      type: object
      properties:
        app_name:
          type: string
        display_name:
          type: string
        description:
          type: string
        icon_url:
          type: string
        documentation_url:
          type: string

````